Возможность разработчику регистрировать используемую версию jQuery

Рейтинг: 6.5346  
На голосовании
Предложил Ипатов Дмитрий 20.07.2016 18:08:12

Возможность разработчику регистрировать используемую версию jQuery

Те например разработчик указывает строчку $APPLICATION->registerAdditionalScript('jquery', SITE_TEMPLATE_PATH . '/js/jquery')

это значит что в дальнейшем запись вида $APPLICATION->showAdditionalScript('jquery') подключит версию jquery разработчика.

Все это уже есть в вордпресс, при огромном количестве плагинов.

Рейтинг: 0  
Smirnov Pavel 21.07.2016 12:09:13
А если эта версия сломает соседние скрипты?
Рейтинг: 1  
Ипатов Дмитрий 21.07.2016 12:20:47
Это должен делать разработчик, те разработчику потом и править. На данный момент версия jQuery не актуальная. В другой идее, которую отметили как внедрено (хотя по факту нет), разработчики битрикса сказали что версия 1.8 была выбрана не случайно итд. но прошло два года, версия не является актуальной. Нужен механизм которым разработчик того же модуля для маркетпейлс мог подключить нужную версию jQuery и её использовать.

Битрикс ведь обновляет себя и потом что-то не работает, ломается. Чем ситуация с jQuery отличается?

Кстати на форуме дали ответ, что возможность зарегистрировать скрипт есть
http://dev.1c-bitrix.ru/community/forums/messages/forum6/topic58645/message437577/#message437577

Надо тестировать.
Рейтинг: 0  
Сергей Пантелеев 22.07.2016 15:22:17
Битрикс обновил версию jquery до 2.1.3 - довольно актуальная :).
CJSCore::Init(Array("jquery2"));
Рейтинг: 1.5572  
Фролов Сергей 03.09.2016 13:07:59
Методы регистрации удобны -тем то проще вызываются - если нужно использовать одни и те же скрипты в разных страницах или частях страницы. За них я плюсую. Для модулей было бы отличным применением.
На счет jquery то лучше уже использовать 3-ю версию тем более jQuery Compat 3.0 поддерживается IE8